#include <iostream>

using namespace std;

class base {
private:
  int i,j;

public:
  void showij(){
    cout << i << ' ' << j << "\n";
  }
  base (int i, int j){
      this->i = i;
      this->j = j;
  }
};
class derived : public base {
private:
  int k;
public:
  derived (int i, int j, int k) : base(i, j){
      this->k = k;
  }
  void show(){
    cout << k << ' ';
    showij();
  }
};

int main(int argc, char const *argv[]) {
  derived d(3, 5, 10);
  d.show();
  return 0;
}
